# Bevyjam

## TODO

* name
* scene management
* stream audio (with HexoSynthDSP)
* character fusion
* color filters
* level design
* win
* menu GUI
* (?) can jump only from a surface (no mid-air jump)
* (?) multiplayer
* make WASM build work again (replace hanabi)

## Build

```bash
cargo build --release
```

### WASM

Currently `bevy_hanabi` does not compile for WASM, and audio does not work on WASM.

```bash
rustup target add wasm32-unknown-unknown
cargo install wasm-bindgen-cli

sh build-wasm.sh

# Serve on 127.0.0.1:8000
python3 -m http.server
```

## License

GNU AGPL v3, CopyLeft 2022 Pascal Engélibert

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3 of the License.  
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.  
You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/.
